[问题]无法使用代理更新apt-get [已解决]

为当前最终发行版之前的所有版本提供支持
回复
头像
sonixrp
帖子: 505
注册时间: 2007-03-28 12:39
送出感谢: 0
接收感谢: 0
联系:

[问题]无法使用代理更新apt-get [已解决]

#1

帖子 sonixrp » 2007-06-06 10:12

windows下配置:
IP:10.1.232.123
子网掩码:255.255.255128
默认网管:10.1.232.126
首选DNS服务器:10.1.28.25
IE6.0配置:
HTTP代理:proxy.cmcc 端口:8080
为所有协议使用相同代理√

========================================
ubuntu7.04下按上面的方法配置Firefox是没问题的可以上网

按下面两种方法尝试
方法一:
sudo gedit /etc/apt/apt.conf

在您的apt.conf文件中加入下面这行(根据你的实际情况替换yourproxyaddress和proxyport)。

Acquire::http::Proxy "http://proxy.cmcc:8080";
或者是
Acquire::http::Proxy "proxy.cmcc:8080";

都失败了!
方法二:
sudo gedit ~/.bashrc

在您的.bashrc文件末尾添加如下内容(根据你的实际情况替换yourproxyaddress和proxyport)。

http_proxy=http://proxy:8080
export http_proxy
或者
http_proxy=proxy:8080
export http_proxy

都失败了!

辛苦各位研究研究是个什么原因,谢谢~
上次由 sonixrp 在 2007-12-13 9:20,总共编辑 1 次。
lingyunxs
帖子: 105
注册时间: 2007-04-21 11:57
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 lingyunxs » 2007-06-07 1:59

不会吧,我在.bashrc尾添加
export http_proxy=http://172.17.84.55:808
就行,

你直接在终端输入
export http_proxy=http://172.17.84.55:808
试试,
还有在网络配置里,设置好DNS试试
头像
jarlyyn
论坛版主
帖子: 4671
注册时间: 2006-04-12 18:54
送出感谢: 0
接收感谢: 6 次
联系:

#3

帖子 jarlyyn » 2007-06-07 11:42

ff和系统 的代理不通用的。

系统->首选项->网络代理

这个应该有用
头像
sonixrp
帖子: 505
注册时间: 2007-03-28 12:39
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 sonixrp » 2007-06-14 11:04

各种方法都尝试了我放弃了~
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#5

帖子 skyx » 2007-06-14 11:13

开始菜单中有个代理设定对apt-get 就有效。我经常用代理,支持http, 但不支持socks5

apt-get 用sock5要用proxychains
no security measure is worth anything if an attacker has physical access to the machine
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#6

帖子 skyx » 2007-06-14 11:14

jarlyyn 写了:ff和系统 的代理不通用的。

系统->首选项->网络代理

这个应该有用
正解,图形界面设定的确对apt-get可用。
no security measure is worth anything if an attacker has physical access to the machine
头像
wewe
帖子: 357
注册时间: 2006-05-26 23:40
来自: http://ubuntufans.com
送出感谢: 0
接收感谢: 0

#7

帖子 wewe » 2007-06-14 13:27

sonixrp 写了:各种方法都尝试了我放弃了~
楼上两位给出了方法,但是楼主已经放弃了... :D :D :D
头像
xhy
帖子: 3916
注册时间: 2005-12-28 1:16
系统: Ubuntu 12.10 X64
来自: 火星
送出感谢: 1 次
接收感谢: 0

#8

帖子 xhy » 2007-06-14 14:42

export http_proxy="http://proxy:8080"
export ftp_proxy="http://proxy:8080"


注意
源并非只有HTTP的
FTP形式的源也很多
目前负债150多万
头像
jarlyyn
论坛版主
帖子: 4671
注册时间: 2006-04-12 18:54
送出感谢: 0
接收感谢: 6 次
联系:

#9

帖子 jarlyyn » 2007-06-14 14:45

首选项->网络代理里,http/ftp/socks代理都能设
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#10

帖子 skyx » 2007-06-14 14:53

wewe 写了:
sonixrp 写了:各种方法都尝试了我放弃了~
楼上两位给出了方法,但是楼主已经放弃了... :D :D :D

:shock:
no security measure is worth anything if an attacker has physical access to the machine
头像
xhy
帖子: 3916
注册时间: 2005-12-28 1:16
系统: Ubuntu 12.10 X64
来自: 火星
送出感谢: 1 次
接收感谢: 0

#11

帖子 xhy » 2007-06-14 15:03

~/.gconf/system/http_proxy
~/.gconf/system/proxy

这两个目录下是GUI菜单里设置的代理
目前负债150多万
头像
sonixrp
帖子: 505
注册时间: 2007-03-28 12:39
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 sonixrp » 2007-06-18 10:15

xhy 写了:export http_proxy="http://proxy:8080"
export ftp_proxy="http://proxy:8080"


注意
源并非只有HTTP的
FTP形式的源也很多
8楼说的招我也尝试过了,但还是不行,谢谢大家的帮助我再尝试尝试吧~
头像
sonixrp
帖子: 505
注册时间: 2007-03-28 12:39
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 sonixrp » 2007-06-18 16:27

多谢各位实在抱歉,原来是我少打了个“.”
头像
Decease
帖子: 834
注册时间: 2006-12-14 20:33
送出感谢: 0
接收感谢: 0

#14

帖子 Decease » 2007-06-18 16:30

LS的回复NB无比!
回复

回到 “老旧版本支持”